Get Course
curl --request GET \
--url https://api.scrapebadger.com/v1/linkedin/learning/{course_slug} \
--header 'X-API-Key: <x-api-key>'import requests
url = "https://api.scrapebadger.com/v1/linkedin/learning/{course_slug}"
headers = {"X-API-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<x-api-key>'}};
fetch('https://api.scrapebadger.com/v1/linkedin/learning/{course_slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"course": {
"slug": "<string>",
"url": "<string>",
"name": "<string>",
"description": "<string>",
"provider": "<string>",
"workload": "<string>",
"rating_value": 123,
"rating_count": 123,
"instructors": [
{}
]
}
}Content
Get Course
A LinkedIn Learning course by its slug — title, description, provider, workload, rating and instructors.
GET
/
v1
/
linkedin
/
learning
/
{course_slug}
Get Course
Fetch a LinkedIn Learning course by its
course_slug (the /learning/<slug>
segment of the URL). Returns the course’s title, description, provider,
workload, rating and instructors.
Credits: 5
Authorization
Your ScrapeBadger API key.
Path Parameters
Course slug, e.g.
learning-python.Query Parameters
Country/locale for the request.
Response
Example
curl "https://api.scrapebadger.com/v1/linkedin/learning/learning-python" \
-H "X-API-Key: YOUR_API_KEY"
const res = await fetch(
"https://api.scrapebadger.com/v1/linkedin/learning/learning-python",
{ headers: { "X-API-Key": process.env.SCRAPEBADGER_API_KEY } },
);
const { course } = await res.json();
import requests
res = requests.get(
"https://api.scrapebadger.com/v1/linkedin/learning/learning-python",
headers={"X-API-Key": "YOUR_API_KEY"},
)
course = res.json()["course"]
Response
{
"course": {
"slug": "learning-python",
"url": "https://www.linkedin.com/learning/learning-python",
"name": "Learning Python",
"description": "Get started with Python, the popular general-purpose programming language.",
"provider": "LinkedIn Learning",
"workload": "2h 15m",
"rating_value": 4.7,
"rating_count": 18400,
"instructors": [
{
"name": "Joe Marini",
"job_title": "Product & Engineering Leader",
"url": "https://www.linkedin.com/in/joemarini"
}
]
}
}
⌘I

